#/**
#         ogr GetPartitionId int_ndisk int_npartition
#@brief   Devuelve el identificador de tipo de partición.
#@param   int_ndisk      nº de orden del disco
#@param   int_npartition nº de orden de la partición
#@return  int_partid     Identificador de tipo de partición.
#@exception OG_ERR_FORMAT   Formato incorrecto.
#@exception OG_ERR_NOTFOUND Disco o particion no corresponden con un dispositivo.
#@note    Requisitos: sfdisk
#@version 0.9 - Primera versión compatible con OpenGnSys.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    25/03/2009
#*/ ##
# Variables locales.
local DISK PART

# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME int_ndisk int_npartition" \
           "$FUNCNAME 1 1  =>  7"
    return
fi
# Error si no se reciben 2 parámetros.
[ $# == 2 ] || ogr RaiseError $OG_ERR_FORMAT || return $?

# Detectar id. de tipo de particion y codificar al mnemonico.
DISK=$(ogr DiskToDev $1) || return $?
PART=$(ogr DiskToDev $1 $2) || return $?
echo $(sfdisk --id $DISK $2 2>/dev/null)
